summaryrefslogtreecommitdiffstats
path: root/source/a
diff options
context:
space:
mode:
Diffstat (limited to 'source/a')
-rwxr-xr-xsource/a/bash/bash.SlackBuild6
-rw-r--r--source/a/bash/doinst.sh2
2 files changed, 4 insertions, 4 deletions
diff --git a/source/a/bash/bash.SlackBuild b/source/a/bash/bash.SlackBuild
index 0233e6acc..a393e87c8 100755
--- a/source/a/bash/bash.SlackBuild
+++ b/source/a/bash/bash.SlackBuild
@@ -31,7 +31,7 @@ PKG=$TMP/package-bash
PKGNAM=bash
VERSION=${VERSION:-$(echo bash-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
MARCH=$( uname -m )
@@ -101,7 +101,7 @@ find . -perm 664 | xargs chmod 644
find . -perm 775 | xargs chmod 755
if [ -d $CWD/bash-${VERSION}-patches ]; then
- ( cd $CWD/bash-${VERSION}-patches ; cat bash4?-??? ) | patch -p0 --verbose || exit 1
+ ( cd $CWD/bash-${VERSION}-patches ; cat bash5?-??? ) | patch -p0 --verbose || exit 1
fi
# Fix .so errors in manpages (needed for strict implementations such as mandoc):
@@ -124,7 +124,7 @@ CFLAGS="$SLKCFLAGS" \
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
mkdir -p $PKG/bin
-mv $PKG/usr/bin/bash $PKG/bin/bash4.new
+mv $PKG/usr/bin/bash $PKG/bin/bash5.new
# We don't include the "bashbug" script.
rm -rf $PKG/usr/bin $PKG/usr/man/man1/bashbug.1
diff --git a/source/a/bash/doinst.sh b/source/a/bash/doinst.sh
index 867958fb8..2cd425649 100644
--- a/source/a/bash/doinst.sh
+++ b/source/a/bash/doinst.sh
@@ -1,7 +1,7 @@
if [ -r bin/bash ]; then
mv bin/bash bin/bash.old
fi
-mv bin/bash4.new bin/bash
+mv bin/bash5.new bin/bash
if [ -f bin/bash.old ]; then
rm -f bin/bash.old
fi